Skip to main content
`Ctrl`+`K`

# DMGetLabelSize

Get the value of `DMLabelGetNumValues()` of a `DMLabel` in the `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabelSize(DM dm, const char name[], PetscInt *size)

Not Collective

## Input Parameters

- dm - The `DM` object

- name - The label name

## Output Parameter

- size - The number of different integer ids, or 0 if the label does not exist

## Developer Note

This should be renamed to something like `DMGetLabelNumValues()` or removed.

## See Also

DM Basics, `DM`, `DMLabelGetNumValues()`, `DMSetLabelValue()`, `DMGetLabel()`

## Level

beginner

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages